From: Srinuvasan A <srinuvasan.a@...>
Let us try and make sure that all bits we have are executed as expected.
Signed-off-by: Srinuvasan A <srinuvasan.a@...>
---
recipes-core/home-fs/files/postinst | 2 ++
recipes-core/security-customizations/files/postinst | 2 ++
recipes-core/tmp-fs/files/postinst | 2 ++
3 files changed, 6 insertions(+)
diff --git a/recipes-core/home-fs/files/postinst b/recipes-core/home-fs/files/postinst
index f6184d6..ab0db84 100755
--- a/recipes-core/home-fs/files/postinst
+++ b/recipes-core/home-fs/files/postinst
@@ -1,3 +1,5 @@
#!/bin/sh
+set -e
+
deb-systemd-helper enable home.mount || true
diff --git a/recipes-core/security-customizations/files/postinst b/recipes-core/security-customizations/files/postinst
index 167bab1..77a2713 100644
--- a/recipes-core/security-customizations/files/postinst
+++ b/recipes-core/security-customizations/files/postinst
@@ -4,6 +4,8 @@
# Security Package configurations
#
+set -e
+
echo "CIP Core Security Image (login: root/Cipsecurity@123)" > /etc/issue
HOSTNAME=demo
diff --git a/recipes-core/tmp-fs/files/postinst b/recipes-core/tmp-fs/files/postinst
index da41046..39067f1 100755
--- a/recipes-core/tmp-fs/files/postinst
+++ b/recipes-core/tmp-fs/files/postinst
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
if [ ! -e /etc/systemd/system/tmp.mount ]; then
cp /usr/share/systemd/tmp.mount /etc/systemd/system/tmp.mount
fi
--
2.34.1